library(tidyverse)
library(broom)
library(broom.mixed)
library(viridis)
library(ggpubr)
library(albersusa)
library(EValue)
library(epiR)
library(tibble)
library(sf)
library(nlme)
library(plm)
library(ggpubr)
library(margins)
library(ggrepel)
library(scales)
library(tidyverse)



setwd("D:/1ASReece/Research/2020 Res/Book - CI-HCE/Rev 1/R Codes")
getwd()
setwd("D:/1ASReece/Research/2020 Res/Book - CI-HCE/Rev 1/R Codes")
se <- function(x)sqrt(var(x)/length(x))
## Use Control+L to empty Console if too slow....


########## Read-In's - Cancer
CaEpiD          <- read_csv("D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/csv/CaEpi.csv")

CaEpiDMdn       <- read_csv("D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/csv/CaEpiDMdn.csv")
CaEpiDMdnMn     <- read_csv("D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/csv/CaEpiDMdnMn.csv")
CaEpiDMdnStat   <- read_csv("D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/csv/CaEpiDMdnStat.csv")

CaEpiDMin       <- read_csv("D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/CaEpiDMin.csv")
CaEpiDMinMn     <- read_csv("D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/CaEpiDMinMn.csv")
CaEpiDMinStat   <- read_csv("D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/CaEpiDMinStat.csv")


dim(CaEpiD); names(CaEpiD); head(CaEpiD)
class(CaEpiD)
summary(CaEpiD); glimpse(CaEpiD)

unique(CaEpiD$Canc)
length(unique(CaEpiD$Canc))
table(CaEpiD$Canc)
table(CaEpiD$Status)

hist(CaEpiD$P_Value)
hist(log(CaEpiD$P_Value))

shapiro.test(CaEpiD$P_Value)       #         ## W = 0.70875, p-value < 2.2e-16
shapiro.test(log(CaEpiD$P_Value))  # log it  ## W = 0.76197, p-value = 3.567e-15

shapiro.test(CaEpiD$Gene_Number)       #         ## W = 0.89907, p-value = 2.836e-09
shapiro.test(log(CaEpiD$Gene_Number))  # Don't   ## W = 0.87947, p-value = 2.32e-10

hist(CaEpiD$Gene_Number)  
hist(log(CaEpiD$Gene_Number))


### Medians
CaEpiDMdn <- CaEpiD %>%
  mutate(Row_P  = P_Value * Gene_Number) %>%
  group_by(Canc) %>%
  summarize(
    Number_Annotations = n(),
    mdnP_Value     = median(P_Value),
    mdnGene_Number = median(Gene_Number),
    CumvGeneNo     = sum(Gene_Number),
    Cumv_P         = sum(Row_P),
    mnP_Value      = Cumv_P / CumvGeneNo
  ) %>% arrange(mdnP_Value)
CaEpiDMdn

CaEpiDMdn2 <- CaEpiD %>%
  mutate(Row_P  = P_Value * Gene_Number) %>%
  group_by(Canc) %>%
  summarize(
    Number_Annotations = n(),
    mdnGenNum      = median(Gene_Number),
    cumGene_Number = sum(Gene_Number),
    minP_Value     = min(P_Value),
    mnP_Value      = mean(P_Value),
    mdnP_Value     = median(P_Value)
  ) %>% arrange(mdnP_Value)
CaEpiDMdn2

CaEpiDMdnMn <- CaEpiDMdn %>% arrange(mnP_Value)
CaEpiDMdnMn

### Medians by Dependence / Withdrawal Status
CaEpiDMdnStat <- CaEpiD %>%
  group_by(Status, Canc) %>%
  summarize(
    mdnP_Value     = median(P_Value),
    mdnGene_Number = median(Gene_Number)
  ) %>%
  pivot_wider(
    names_from = Status,
    values_from = c(mdnP_Value, mdnGene_Number)
  ) %>% 
  mutate(
    PVal_Ratio = mdnP_Value_Withdrawal / mdnP_Value_Dependence,
    GenNoRatio = mdnGene_Number_Dependence / mdnGene_Number_Withdrawal
  ) %>%
  arrange(mdnP_Value_Dependence) %>%
  .[,c(1:3,6,4,5,7)]
CaEpiDMdnStat


write_csv(CaEpiDMdn, "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/csv/CaEpiDMdn.csv")
write_csv(CaEpiDMdnMn, "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/csv/CaEpiDMdnMn.csv")
write_csv(CaEpiDMdn2, "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/CaEpiDMdn2.csv")
write_csv(CaEpiDMdnStat, "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/csv/CaEpiDMdnStat.csv")


### Minimums
CaEpiDMin <- CaEpiD %>%
  mutate(Row_P  = P_Value * Gene_Number) %>%
  group_by(Canc) %>%
  summarize(
    Number_Annotations = n(),
    minP_Value     = min(P_Value),
    # mdnGene_Number = median(Gene_Number),
    CumvGeneNo     = sum(Gene_Number),
    Cumv_P         = sum(Row_P),
    mnP_Value      = Cumv_P / CumvGeneNo
  ) %>% arrange(minP_Value)
CaEpiDMin

CaEpiDMinMn <- CaEpiDMin %>% arrange(mnP_Value)
CaEpiDMinMn

### Minimums by Dependence / Withdrawal Status
CaEpiDMinStat <- CaEpiD %>%
  group_by(Status, Canc) %>%
  summarize(
    minP_Value     = min(P_Value),
    totGene_Number = sum(Gene_Number)
  ) %>%
  pivot_wider(
    names_from = Status,
    values_from = c(minP_Value, totGene_Number)
  ) %>% 
  mutate(
    PVal_Ratio = minP_Value_Withdrawal / minP_Value_Dependence,
    GenNoRatio = totGene_Number_Dependence / totGene_Number_Withdrawal
  ) %>%
  arrange(minP_Value_Dependence) %>%
  .[,c(1:3,6,4,5,7)]
CaEpiDMinStat


write_csv(CaEpiDMin, "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/CaEpiDMin.csv")
write_csv(CaEpiDMinMn, "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/CaEpiDMinMn.csv")
write_csv(CaEpiDMinStat, "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/CaEpiDMinStat.csv")

CaEpiDMdn$Ix1 <- c(1,3:6,2,7:20)
CaEpiDMdn$Ix2 <- c(1:5,7,6,8,10,9,11:12,14,13,15:20)
CaEpiDAll <- CaEpiD %>% left_join(CaEpiDMdn) %>% left_join(CaEpiDMdnStat)
CaEpiDAll

###################################################################################
###################################################################################
############## Graphs


# mdnP_Value - Overall
mdnP_Value <- 
ggplot(CaEpiDMdn, aes(reorder(Canc, desc(mdnP_Value)), -log10(mdnP_Value), group = reorder(Canc, desc(mdnP_Value)),
                      fill = reorder(Canc, desc(mdnP_Value)), colour = reorder(Canc, desc(mdnP_Value)),
                      label = round(-log10(mdnP_Value),2) )) +
  geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  ggtitle ('Negative Log Median P-Value by Cancer Type') +
  labs(x='', y = '- Log (Median P-Value)') +
  theme_plotF() +
  geom_text(nudge_y = 1, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

ggsave("Cancer Epigenomic Median P-Values_2.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/Figures")


# mdnP_Value - Overall - Boxplot
mdnP_Value <- 
  ggplot(CaEpiDAll, aes(reorder(Canc, desc(mdnP_Value)), -log10(P_Value), group = reorder(Canc, desc(mdnP_Value)),
                        fill = reorder(Canc, desc(mdnP_Value)), colour = reorder(Canc, desc(mdnP_Value)),
                        label = round(-log10(mdnP_Value),2) )) +
  geom_boxplot(alpha = 0.75, size = 0.75, notch = TRUE, show.legend = F) +
  ggtitle ('Negative Log Median P-Value by Cancer Type') +
  labs(x='', y = '- Log (Median P-Value)') +
  theme_plotF() +
  # geom_text(nudge_y = 1, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) +
  coord_cartesian(ylim = c(0.5,15)) +
  coord_cartesian(ylim = c(0.5,23))

ggsave("Cancer Epigenomic Median P-Values_2 Boxplot.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/Figures")

# mdnP_Value - Overall - Boxplot - by Ix1
mdnP_Value <- 
  ggplot(CaEpiDAll, aes(reorder(Canc, desc(Ix1)), -log10(P_Value), group = reorder(Canc, desc(Ix1)),
                        fill = reorder(Canc, desc(Ix1)), colour = reorder(Canc, desc(Ix1)),
                        label = round(-log10(Ix1),2) )) +
  geom_boxplot(alpha = 0.75, size = 0.75, notch = TRUE, show.legend = F) +
  ggtitle ('Negative Log P-Value by Cancer Type') +
  labs(x='', y = '- Log (Median P-Value)') +
  theme_plotF() +
  # geom_text(nudge_y = 1, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) +
  coord_cartesian(ylim = c(0.5,17)) #+
  # coord_cartesian(ylim = c(0.5,23))

ggsave("Cancer Epigenomic Median P-Values_2 Boxplot.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/Figures")

# Number_Annotations
Number_AnnotationsGr <- 
  ggplot(CaEpiDMdn, aes(reorder(Canc, (Number_Annotations)), (Number_Annotations), group = reorder(Canc, (Number_Annotations)),
                        fill = reorder(Canc, (Number_Annotations)), colour = reorder(Canc, (Number_Annotations)),
                        label = Number_Annotations)) +
  geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  geom_text(nudge_y = 1.5, show.legend = F) +
  ggtitle ('Number of Annotations by Cancer Type') +
  labs(x='', y = 'Number of Annotations') +
  theme_plotF() +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

ggsave("Cancer Number Annotations.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/Figures")


# CumvGeneNo - Overall
CumvGeneNoGr <- 
ggplot(CaEpiDMdn, aes(reorder(Canc, (CumvGeneNo)), (CumvGeneNo), group = reorder(Canc, (CumvGeneNo)),
                      fill = reorder(Canc, (CumvGeneNo)), colour = reorder(Canc, (CumvGeneNo)),
                      label = CumvGeneNo)) +
  geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  geom_text(nudge_y = 200, show.legend = F) +
  ggtitle ('Cumulative Gene Number by Cancer Type') +
  labs(x='', y = 'Gene Number') +
  theme_plotF() +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

ggsave("Cancer Epigenomic Cumulative Gene Number.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/Figures")


PGeneNoGr <- ggarrange(Number_AnnotationsGr, CumvGeneNoGr, mdnP_Value, nrow=3, labels = "AUTO")
PGeneNoGr

ggsave("Cancer Epigenomic Median & Gene Number.pdf", width=12, height = 10, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/Figures")


######################################################
### Now Looking at Dependence v Withdrawal

# mdnP_Value - Dependence

CaEpiDAllDep <- subset(CaEpiDAll, Status == 'Dependence'); dim(CaEpiDAllDep)
print(CaEpiDAllDep, n=94)

DepP <- 
ggplot(CaEpiDAllDep, aes(reorder(Canc, desc(mdnP_Value_Dependence)), 
                                -log10(P_Value), 
                          group = reorder(Canc, desc(mdnP_Value_Dependence)),
                      fill = reorder(Canc, desc(mdnP_Value_Dependence)), 
                      colour = reorder(Canc, desc(mdnP_Value_Dependence)),
                      label = round(-log10(mdnP_Value_Dependence),2) )) +
  geom_boxplot(alpha = 0.75, size = 0.75, show.legend = F, notch = TRUE) +
  ggtitle ('Negative Log Median P-Value by Cancer Type in Cannabis Dependence') +
  labs(x='', y = '- Log (Median P-Value)') +
  theme_plotF() +
  # geom_text(nudge_y = 1, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

Ix4 <- c(1:5,7,6,8,10,9,11:12,14,13,15:19)

CaEpiDAllDepSum <- CaEpiDAllDep %>%
  group_by(Canc) %>%
  summarize(
    nAnnot = sum(Number_Annotations),
    CumvGeneNoS = sum(Gene_Number),
    mddnP = median(P_Value)
    ) %>% arrange(mddnP) %>%
  mutate(Ix3 = 19:1) %>%
  bind_cols(Ix4) %>% rename("Ix4"=6)


CaEpiDAllDepp <- CaEpiDAllDep %>% left_join(CaEpiDAllDepSum)

# By Ix4
DepP <- 
ggplot(CaEpiDAllDepp, aes(reorder(Canc, desc(Ix4)), 
                         -log10(P_Value), 
                         group = reorder(Canc, desc(Ix4)),
                         fill = reorder(Canc, desc(Ix4)), 
                         colour = reorder(Canc, desc(Ix4)),
                         label = round(-log10(Ix4),2) )) +
  geom_boxplot(alpha = 0.75, size = 0.75, show.legend = F, notch = TRUE) +
  ggtitle ('Negative Log P-Value by Cancer Type in Cannabis Dependence') +
  labs(x='', y = '- Log (Median P-Value)') +
  theme_plotF() +
  # geom_text(nudge_y = 1, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

ggsave("Cancer Epigenomic P-Values Dependence_3.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/Figures")

# mdnGene_Number - Dependence
GeneNoDep <- 
ggplot(CaEpiDMdnStat[-20,], aes(reorder(Canc, (mdnGene_Number_Dependence)), (mdnGene_Number_Dependence), 
                      group = reorder(Canc, (mdnGene_Number_Dependence)),
                      fill = reorder(Canc, (mdnGene_Number_Dependence)), 
                      colour = reorder(Canc, (mdnGene_Number_Dependence)),
                      label = mdnGene_Number_Dependence)) +
  geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  geom_text(nudge_y = 10, show.legend = F) +
  ggtitle ('Median Gene Number by Cancer Type in Cannabis Dependence') +
  labs(x='', y = 'Gene Number') +
  theme_plotF() +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

ggsave("Cancer Epigenomic Median Gene Number Dependence.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/Figures")


PGeneNoDep <- ggarrange(GeneNoDep, DepP, nrow=2, labels = "AUTO")
PGeneNoDep

ggsave("Cancer Epigenomic Median & Gene Number - Dependence_2.pdf", width=12, height = 10, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/Figures")

# Annotations
AnnotDep <- 
  ggplot(CaEpiDAllDepSum, aes(reorder(Canc, nAnnot), 
                            (nAnnot), 
                            group = reorder(Canc, (nAnnot)),
                            fill = reorder(Canc, (nAnnot)), 
                            colour = reorder(Canc, (nAnnot)),
                            label = nAnnot)) +
  geom_col(alpha = 0.75, size = 0.75, show.legend = F) +
  ggtitle ('Number of Annotations by Cancer Type in Cannabis Dependence') +
  labs(x='', y = 'Number Annotations') +
  theme_plotF() +
  geom_text(nudge_y = 10, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

CumGenNumDep <- 
  ggplot(CaEpiDAllDepSum, aes(reorder(Canc, CumvGeneNoS), 
                              (CumvGeneNoS), 
                              group = reorder(Canc, (CumvGeneNoS)),
                              fill = reorder(Canc, (CumvGeneNoS)), 
                              colour = reorder(Canc, (CumvGeneNoS)),
                              label = CumvGeneNoS)) +
  geom_col(alpha = 0.75, size = 0.75, show.legend = F) +
  ggtitle ('Cumulative Gene Numbers by Cancer Type in Cannabis Dependence') +
  labs(x='', y = "Cum'v Gene Numbers") +
  theme_plotF() +
  geom_text(nudge_y = 100, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

DepGrrr  <- ggarrange(AnnotDep, CumGenNumDep, DepP, nrow = 3, labels= 'AUTO')
DepGrrr

ggsave("Cancer Epigenomic Median & Gene Number - Dependence_3.pdf", width=12, height = 10, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/Figures")



### Now Looking at Dependence v Withdrawal

# mdnP_Value - Withdrawal

CaEpiDAllWith <- subset(CaEpiDAll, Status == 'Withdrawal'); dim(CaEpiDAllWith) # 73
# print(CaEpiDAllWith, n=73)

DepP <- 
  ggplot(CaEpiDAllWith, aes(reorder(Canc, desc(mdnP_Value_Withdrawal)), 
                           -log10(P_Value), 
                           group = reorder(Canc, desc(mdnP_Value_Withdrawal)),
                           fill = reorder(Canc, desc(mdnP_Value_Withdrawal)), 
                           colour = reorder(Canc, desc(mdnP_Value_Withdrawal)),
                           label = round(-log10(mdnP_Value_Withdrawal),2) )) +
  geom_boxplot(alpha = 0.75, size = 0.75, show.legend = F, notch = TRUE) +
  ggtitle ('Negative Log Median P-Value by Cancer Type in Cannabis Dependence') +
  labs(x='', y = '- Log (Median P-Value)') +
  theme_plotF() +
  # geom_text(nudge_y = 1, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

Ix4 <- c(1:4,6:10,5,11:18)

CaEpiDAllWithSum <- CaEpiDAllWith %>%
  group_by(Canc) %>%
  summarize(
    mddnP = median(P_Value)
  ) %>% arrange(mddnP) %>%
  bind_cols(Ix4) %>% rename("Ix4"=3)


CaEpiDAllWithW <- CaEpiDAllWith %>% left_join(CaEpiDAllWithSum)

# By Ix4
DepPP <- 
  ggplot(CaEpiDAllWithW, aes(reorder(Canc, desc(Ix4)), 
                            -log10(P_Value), 
                            group = reorder(Canc, desc(Ix4)),
                            fill = reorder(Canc, desc(Ix4)), 
                            colour = reorder(Canc, desc(Ix4)),
                            label = round(-log10(Ix4),2) )) +
  geom_boxplot(alpha = 0.75, size = 0.75, show.legend = F, notch = TRUE) +
  ggtitle ('Negative Log P-Value by Cancer Type in Cannabis Withdrawal') +
  labs(x='', y = '- Log (Median P-Value)') +
  theme_plotF() +
  # geom_text(nudge_y = 1, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

ggsave("Cancer Epigenomic P-Values Withdrawal_3.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/Figures")

# mdnGene_Number - Withdrawal

CaEpiDAllWithSumm <- CaEpiDAllWith %>%
  group_by(Canc) %>%
  summarize(
    mdnGNW = median(mdnGene_Number_Withdrawal),
    cumGNW = sum(Gene_Number),
    nAnnot = sum(Number_Annotations)  
  ) %>% arrange(mdnGNW) 


CaEpiDAllWithSumm_P <- CaEpiDAllWith %>%
  group_by(Canc) %>%
  summarize(
    nAnnot = sum(Number_Annotations),
    mdnGNW = median(mdnGene_Number_Withdrawal),
    cumGNW = sum(Gene_Number),
    minP   = min(P_Value),
    mnP    = mean(P_Value),
    mdnP   = median(P_Value)
  ) %>% arrange(minP) 
CaEpiDAllWithSumm_P

CaEpiDAllWithSumm_P_mdn  <- CaEpiDAllWithSumm_P %>% arrange(mdnP)
CaEpiDAllWithSumm_P_mdn

CaEpiDAllDepSumm_P <- CaEpiDAllDep %>%
  group_by(Canc) %>%
  summarize(
    nAnnot = sum(Number_Annotations),
    mdnGNW = median(mdnGene_Number_Withdrawal),
    cumGNW = sum(Gene_Number),
    minP   = min(P_Value),
    mnP    = mean(P_Value),
    mdnP   = median(P_Value)
  ) %>% arrange(minP) 
CaEpiDAllDepSumm_P

CaEpiDAllDepSumm_P_mdn  <- CaEpiDAllDepSumm_P %>% arrange(mdnP)
CaEpiDAllDepSumm_P_mdn

write_csv(CaEpiDAllWithSumm_P, "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/CaEpiDAllWithSumm_P.csv")
write_csv(CaEpiDAllWithSumm_P_mdn, "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/CaEpiDAllWithSumm_P_mdn.csv")
write_csv(CaEpiDAllDepSumm_P,   "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/CaEpiDAllDepSumm_P.csv")
write_csv(CaEpiDAllDepSumm_P_mdn,   "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/CaEpiDAllDepSumm_P_mdn.csv")


GeneNoWith <- 
  ggplot(CaEpiDAllWithSumm, aes(reorder(Canc, (mdnGNW)), (mdnGNW), 
                                  group = reorder(Canc, (mdnGNW)),
                                  fill = reorder(Canc, (mdnGNW)), 
                                  colour = reorder(Canc, (mdnGNW)),
                                  label = round(mdnGNW))) +
  geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  geom_text(nudge_y = 3, show.legend = F) +
  ggtitle ('Median Gene Number by Cancer Type in Cannabis Withdrawal') +
  labs(x='', y = 'Gene Number') +
  theme_plotF() +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

ggsave("Cancer Epigenomic Median Gene Number Withdrawal_2.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/Figures")


PGeneNoDep <- ggarrange(GeneNoWith, DepP, nrow=2, labels = "AUTO")
PGeneNoDep

ggsave("Cancer Epigenomic Median & Gene Number - Withdrawal_2.pdf", width=12, height = 10, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/Figures")


PGeneNoDepWith <- ggarrange(DepP, DepPP, nrow=2, labels = "AUTO")
PGeneNoDepWith

ggsave("Cancer Epigenomic P-Values - Withdrawal & Dependence_2.pdf", width=12, height = 12, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/Figures")


CumGeneNoWith <- 
  ggplot(CaEpiDAllWithSumm, aes(reorder(Canc, (cumGNW)), (cumGNW), 
                                group = reorder(Canc, (cumGNW)),
                                fill = reorder(Canc, (cumGNW)), 
                                colour = reorder(Canc, (cumGNW)),
                                label = round(cumGNW))) +
  geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  geom_text(nudge_y = 30, show.legend = F) +
  ggtitle ('Cumulative Gene Number by Cancer Type in Cannabis Withdrawal') +
  labs(x='', y = 'Gene Number') +
  theme_plotF() +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

N_AnnotWith <- 
  ggplot(CaEpiDAllWithSumm, aes(reorder(Canc, (nAnnot)), (nAnnot), 
                                group = reorder(Canc, (nAnnot)),
                                fill = reorder(Canc, (nAnnot)), 
                                colour = reorder(Canc, (nAnnot)),
                                label = round(nAnnot))) +
  geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  geom_text(nudge_y = 10, show.legend = F) +
  ggtitle ('Number of Annotations by Cancer Type in Cannabis Withdrawal') +
  labs(x='', y = 'Number Annotations') +
  theme_plotF() +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

PGeneNoDepWith2 <- ggarrange(N_AnnotWith, CumGeneNoWith, DepPP, nrow=3, labels = "AUTO")
PGeneNoDepWith2

ggsave("Cancer Epigenomic Median & Gene Number - Withdrawal & Dependence_2.pdf", width=12, height = 12, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/Figures")




##### Now Ratios Dependence to Withdrawal

# mdnP_Value - Dependence
PRatioDep <- 
ggplot(CaEpiDMdnStat[-c(8,19,20),], aes(reorder(Canc, (PVal_Ratio)), log(PVal_Ratio), 
                                group = reorder(Canc, (PVal_Ratio)),
                                fill = reorder(Canc, (PVal_Ratio)), 
                                colour = reorder(Canc, (PVal_Ratio)),
                                label = round(log(PVal_Ratio),2) )) +
  geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  ggtitle ('Median P-Value Dependence / Withdrawal Ratio by Cancer Type') +
  labs(x='', y = 'Log (Ratio of Median P-Values Dependence to Withdrawal)') +
  theme_plotF() +
  geom_text(nudge_y = 1.5, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

ggsave("Cancer Epigenomic Median P-Values Dep-With Ratio.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/Figures")

# mdnGene_Number - Dependence
GeneRatioDep <- 
ggplot(CaEpiDMdnStat[-c(8,19,20),], aes(reorder(Canc, (GenNoRatio)), log(GenNoRatio), 
                                group = reorder(Canc, (GenNoRatio)),
                                fill = reorder(Canc, (GenNoRatio)), 
                                colour = reorder(Canc, (GenNoRatio)),
                                label = round(GenNoRatio,2)  )) +
  geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  geom_text(nudge_y = 0.3, show.legend = F) +
  ggtitle ('Log (Ratio (Median Gene Number (Dependence / Withdrawal) Ratio by Cancer Type') +
  labs(x='', y = 'Log (Gene Number Ratio (Dependence / Withdrawal)') +
  theme_plotF() +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

ggsave("Cancer Epigenomic Median Gene Number Dep-With Ratio.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/Figures")

PGeneNoDepRatio <- ggarrange(GeneRatioDep, PRatioDep, nrow=2, labels = "AUTO")
PGeneNoDepRatio

ggsave("Cancer Epigenomic Median & Gene Number - Ratios.pdf", width=12, height = 10, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/Figures")



###############################################################################
###############################################################################
###############################################################################
####### New Graphs

# minP_Value - Overall
minP <- 
ggplot(CaEpiDMin, aes(reorder(Canc, desc(minP_Value)), -log(minP_Value), group = reorder(Canc, desc(minP_Value)),
                      fill = reorder(Canc, desc(minP_Value)), colour = reorder(Canc, desc(minP_Value)),
                      label = round(-log(minP_Value),2) )) +
  geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  ggtitle ('Negative Log Minimum P-Value by Cancer Type') +
  labs(x='', y = '- Log (Minimum P-Value)') +
  theme_plotF() +
  geom_text(nudge_y = 2, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

ggsave("Cancer Epigenomic Minimum P-Values_2.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")


# No. Annotations
NoAnnot <- 
  ggplot(CaEpiDMin, aes(reorder(Canc, (Number_Annotations )), (Number_Annotations ), 
                        group = reorder(Canc, (Number_Annotations )),
                        fill = reorder(Canc, (Number_Annotations )), 
                        colour = reorder(Canc, (Number_Annotations )),
                        label = round((Number_Annotations ),2) )) +
  geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  ggtitle ('Number of Annotations by Cancer Type') +
  labs(x='', y = 'Number of Annotations') +
  theme_plotF() +
  geom_text(nudge_y = 1, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

ggsave("Number Annotations.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")


# Cumulative Gene Number
CumGeneNo <- 
  ggplot(CaEpiDMin, aes(reorder(Canc, (CumvGeneNo  )), (CumvGeneNo), 
                        group = reorder(Canc, (CumvGeneNo  )),
                        fill = reorder(Canc, (CumvGeneNo  )), 
                        colour = reorder(Canc, (CumvGeneNo  )),
                        label = round((CumvGeneNo  ),2) )) +
  geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  ggtitle ('Cumulative Gene Number by Cancer Type') +
  labs(x='', y = 'Cumulative Gene Number') +
  theme_plotF() +
  geom_text(nudge_y = 250, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

ggsave("Number Annotations.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")


minAnnotGene <- ggarrange(CumGeneNo, NoAnnot, nrow=2, labels = "AUTO")
minAnnotGene

ggsave("Gene & Annoation Numbers.pdf", width=12, height = 10, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")


minAnnotGeneP <- ggarrange(NoAnnot , CumGeneNo, minP, nrow=3, labels = "AUTO")
minAnnotGeneP

ggsave("Gene & Annoation Numbers & P's_2.pdf", width=12, height = 14, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")


### Now Looking at Dependence v Withdrawal

# minP_Value - Dependence
DepP <- 
  ggplot(CaEpiDMinStat[-20,], aes(reorder(Canc, desc(minP_Value_Dependence)), -log(minP_Value_Dependence), 
                                  group = reorder(Canc, desc(minP_Value_Dependence)),
                                  fill = reorder(Canc, desc(minP_Value_Dependence)), 
                                  colour = reorder(Canc, desc(minP_Value_Dependence)),
                                  label = round(-log(minP_Value_Dependence),2) )) +
  geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  ggtitle ('Negative Log of Minimum P-Value by Cancer Type in Cannabis Dependence') +
  labs(x='', y = '- Log (Minimum P-Value)') +
  theme_plotF() +
  geom_text(nudge_y = 1.2, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

ggsave("Cancer Epigenomic Minimum P-Values Dependence.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")

# totGene_Number - Dependence
GeneNoDep <- 
  ggplot(CaEpiDMinStat[-20,], aes(reorder(Canc, (totGene_Number_Dependence)), (totGene_Number_Dependence), 
                                  group = reorder(Canc, (totGene_Number_Dependence)),
                                  fill = reorder(Canc, (totGene_Number_Dependence)), 
                                  colour = reorder(Canc, (totGene_Number_Dependence)),
                                  label = totGene_Number_Dependence)) +
  geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  geom_text(nudge_y = 200, show.legend = F) +
  ggtitle ('Total Gene Number by Cancer Type in Cannabis Dependence') +
  labs(x='', y = 'Gene Number') +
  theme_plotF() +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

ggsave("Total Epigenomic Minimum Gene Number Dependence.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cancer Epigenomics/R Codes/Data/Figures")


PGeneNoDep <- ggarrange(GeneNoDep, DepP, nrow=2, labels = "AUTO")
PGeneNoDep

ggsave("Cancer Epigenomic Median & Gene Number - Dependence_2.pdf", width=12, height = 10, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")



##### Now Ratios Dependence to Withdrawal

# minP_Value - Dependence
PRatioDep <- 
  ggplot(CaEpiDMinStat[-c(8,19,20),], aes(reorder(Canc, (PVal_Ratio)), log10(PVal_Ratio), 
                                          group = reorder(Canc, (PVal_Ratio)),
                                          fill = reorder(Canc, (PVal_Ratio)), 
                                          colour = reorder(Canc, (PVal_Ratio)),
                                          label = round(log10(PVal_Ratio),2) )) +
  geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  ggtitle ('Log (Ratio (Minimum P-Value (Dependence / Withdrawal))) by Cancer Type') +
  labs(x='', y = 'Log (Ratio of Minimum P-Values Dependence to Withdrawal)') +
  theme_plotF() +
  geom_text(nudge_y = 0.65, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

ggsave("Cancer Epigenomic Minimum P-Values Dep-With Ratio_2.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")

# minGene_Number - Dependence
GeneRatioDep <- 
  ggplot(CaEpiDMinStat[-c(8,19,20),], aes(reorder(Canc, (GenNoRatio)), log10(GenNoRatio), 
                                          group = reorder(Canc, (GenNoRatio)),
                                          fill = reorder(Canc, (GenNoRatio)), 
                                          colour = reorder(Canc, (GenNoRatio)),
                                          label = round(GenNoRatio,2)  )) +
  geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  geom_text(nudge_y = 0.2, show.legend = F) +
  ggtitle ('Log (Total Gene Number (Dependence / Withdrawal) Ratio) by Cancer Type') +
  labs(x='', y = 'Log (Total Number Ratio (Dependence / Withdrawal))') +
  theme_plotF() +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

ggsave("Cancer Epigenomic Total Gene Number Dep-With Ratio.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")

PGeneNoDepRatio <- ggarrange(GeneRatioDep, PRatioDep, nrow=2, labels = "AUTO")
PGeneNoDepRatio

ggsave("Cancer Epigenomic Median & Gene Number - Ratios.pdf", width=12, height = 10, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")



CaEpiDMinStat <- CaEpiDMinStat %>% mutate(InvGeneNumberRatio = totGene_Number_Withdrawal / totGene_Number_Dependence)


# minGene_Number - Dependence
GeneRatioDepInv  <- 
  ggplot(CaEpiDMinStat[-c(8,19,20),], aes(reorder(Canc, (InvGeneNumberRatio)), log10(InvGeneNumberRatio), 
                                          group = reorder(Canc, (InvGeneNumberRatio)),
                                          fill = reorder(Canc, (InvGeneNumberRatio)), 
                                          colour = reorder(Canc, (InvGeneNumberRatio)),
                                          label = round(InvGeneNumberRatio,2)  )) +
  geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  geom_text(nudge_y = 0.15, show.legend = F, colour = 'grey10') +
  ggtitle ('Log (Total Gene Number (Withdrawal / Dependence) Ratio) by Cancer Type') +
  labs(x='', y = 'Log (Total Number Ratio (Withdrawal / Dependence))') +
  theme_plotF() +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

ggsave("Cancer Epigenomic Total Gene Number With-Dep Ratio.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")

PGeneNoDepRatioWith <- ggarrange(PRatioDep, GeneRatioDep, GeneRatioDepInv, nrow=3, labels = "AUTO")
PGeneNoDepRatioWith

ggsave("Cancer Epigenomic Total Gene Number With-Dep Dep-With Ratio_3.pdf", width=12, height = 14, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")



##########################################################################################################################################################
##########################################################################################################################################################
##########################################################################################################################################################
##########################################################################################################################################################
##########################################################################################################################################################
##########################################################################################################################################################
############################################ Teratology

########## Read-In's - Teratology
TerSumD          <- read_csv("D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/TeratSum.csv")

TerSumDSys       <- read_csv("D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/TerSumDSys.csv")
TerSumDSysD      <- read_csv("D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/TerSumDSysD.csv")
TerSumDTarg      <- read_csv("D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/TerSumDTarg.csv")
TerSumDTarga     <- read_csv("D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/TerSumDTarga.csv")
TerSumDTargD     <- read_csv("D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/TerSumDTargD.csv")
TerSumDSum       <- read_csv("D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/TerSumDSum.csv")


dim(TerSumD); names(TerSumD)
head(TerSumD); summary(TerSumD)

table(TerSumD$System)
table(TerSumD$Target)
table(TerSumD$Status)  # 162 83

tapply(TerSumD$P_Value, TerSumD$System, mean)
tapply(TerSumD$P_Value, TerSumD$System, median)

order(tapply(TerSumD$P_Value, TerSumD$System, mean))
order(tapply(TerSumD$P_Value, TerSumD$System, median))
sort(tapply(TerSumD$P_Value, TerSumD$System, mean))







# minP_Value - Overall
minP <- 
  ggplot(CaEpiDMin, aes(reorder(Canc, desc(minP_Value)), -log(minP_Value), group = reorder(Canc, desc(minP_Value)),
                        fill = reorder(Canc, desc(minP_Value)), colour = reorder(Canc, desc(minP_Value)),
                        label = round(-log(minP_Value),2) )) +
  geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  ggtitle ('Negative Log Minimum P-Value by Cancer Type') +
  labs(x='', y = '- Log (Minimum P-Value)') +
  theme_plotF() +
  geom_text(nudge_y = 2, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) 

ggsave("Cancer Epigenomic Minimum P-Values_2.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")




# P_Value  ~ boxplot ~ Status
PSpread <- 
  ggplot(TerSumD, aes(reorder(Status, desc(P_Value)), -log10(P_Value), group = reorder(Status, desc(P_Value)),
                        fill = reorder(Status, desc(P_Value)), colour = reorder(Status, desc(P_Value)),
                        label = round(-log(P_Value),2) )) +
  # geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  geom_boxplot(notch = T, alpha = 0.7, size = 0.5) +
  ggtitle ('Negative Log P-Value by Dependency Status') +
  labs(x='', y = '- Log (P-Value)') +
  theme_plotF() +
  scale_fill_hue(direction = -1) +
  scale_colour_hue(direction = -1) +
  # geom_text(nudge_y = 2, show.legend = F) +
  theme(#axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) +
  labs(colour = 'Status', fill = 'Status') +
  coord_cartesian(ylim = c(1,7.2))

ggsave("Cancer Epigenomic Teratogenic P-Values ~ Status.pdf", width=8, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")

t.test(log(TerSumD$P_Value) ~ TerSumD$Status, alternate = "t")
# t = -6.3431, df = 187.12, p-value = 1.65e-09
tapply(log(TerSumD$P_Value), TerSumD$Status, median)
tapply(log(TerSumD$P_Value), TerSumD$Status, summary)
tapply(log(TerSumD$P_Value), TerSumD$Status, se)


##################################################
################################################## ~ System
##################################################

TerSumDSys <- TerSumD %>%
  group_by(System) %>%
  summarize(
    mnP    = mean(P_Value),
    mdnP   = median(P_Value)
  )  %>% arrange(mdnP) %>%
  mutate(Ix = 1:9) 

TerSumDSysD <- TerSumD %>% left_join(TerSumDSys)

# P_Value  ~ boxplot ~ System
PSpreadSys <- 
  ggplot(TerSumDSysD, aes(reorder(System, desc(mdnP)), -log10(P_Value), group = reorder(System, desc(mdnP)),
                      fill = reorder(System, desc(mdnP)), colour = reorder(System, desc(mdnP)),
                      label = round(-log(P_Value),2) )) +
  # geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  geom_boxplot(notch = T, alpha = 0.7, size = 0.5) +
  ggtitle ('Negative Log (Base 10) P-Value by System') +
  labs(x='', y = '- Log (10) (P-Value)') +
  theme_plotF() +
  scale_fill_hue(direction = -1) +
  scale_colour_hue(direction = -1) +
  # geom_text(nudge_y = 2, show.legend = F) +
  theme(#axis.text.x=element_text(angle=30,hjust=1),
    plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) +
  labs(colour = 'System', fill = 'System')  +
  coord_cartesian(ylim = c(1,8))

ggsave("Cancer Epigenomic Teratogenic P-Values ~ System.pdf", width=12, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")

chisq.test(log(TerSumDSysD$P_Value), TerSumDSysD$System)
# X-squared = 1417.9, df = 1376, p-value = 0.2107
tapply(log(TerSumDSysD$P_Value), TerSumDSysD$System, median)
tapply(log(TerSumDSysD$P_Value), TerSumDSysD$System, summary)
tapply(log(TerSumDSysD$P_Value), TerSumDSysD$System, se)

summary(lm(log(P_Value) ~ Ix, data = TerSumDSysD))


##################################################
################################################## ~ Target
##################################################
Ix <- c(1,3,2,4:12,14:16,18:32,13,17,33:39)

TerSumDTarg <- TerSumD %>%
  group_by(Target) %>%
  summarize(
    mnP    = mean(P_Value),
    mdnP   = median(P_Value)
  )  %>% arrange(mdnP) %>%
  bind_cols(Ix) %>% rename("Ix"=4)

print(TerSumDTarg, n=39)
TerSumDTarga <- TerSumDTarg %>% arrange(Ix)
print(TerSumDTarga, n=39)

TerSumDTargD <- TerSumD %>% left_join(TerSumDTarg)


# P_Value  ~ boxplot ~ Target
PSpreadTarg <- 
  ggplot(TerSumDTargD, aes(reorder(Target, desc(Ix)), -log10(P_Value), group = reorder(Target, desc(Ix)),
                           fill = reorder(Target, desc(Ix)), colour = reorder(Target, desc(Ix)),
                           label = round(-log(P_Value),2) )) +
  # geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  geom_boxplot(notch = T, alpha = 0.7, size = 0.5) +
  ggtitle ('Negative Log P-Value by Target') +
  labs(x='', y = '- Log (10) (P-Value)') +
  theme_plotF() +
  scale_fill_hue(direction = -1) +
  scale_colour_hue(direction = -1) +
  # geom_text(nudge_y = 2, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) +
  labs(colour = 'Target', fill = 'Target')  +
  coord_cartesian(ylim = c(1,15))



ggsave("Cancer Epigenomic Teratogenic P-Values ~ Target.pdf", width=16, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")


# P_Value  ~ boxplot ~ Target - No Legend
PSpreadTarg <- 
  ggplot(TerSumDTargD, aes(reorder(Target, desc(Ix)), -log10(P_Value), group = reorder(Target, desc(Ix)),
                           fill = reorder(Target, desc(Ix)), colour = reorder(Target, desc(Ix)),
                           label = round(-log(P_Value),2) )) +
  # geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  geom_boxplot(notch = T, alpha = 0.7, size = 0.5, show.legend = F) +
  ggtitle ('Negative Log (Base 10) P-Value by Target') +
  labs(x='', y = '- Log (10) (P-Value)') +
  theme_plotF() +
  scale_fill_hue(direction = -1) +
  scale_colour_hue(direction = -1) +
  # geom_text(nudge_y = 2, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) +
  labs(colour = 'Target', fill = 'Target')  +
  coord_cartesian(ylim = c(1,15))

ggsave("Cancer Epigenomic Teratogenic P-Values ~ Target, No Legend.pdf", width=16, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")

chisq.test(log(TerSumDTargD$P_Value), TerSumDTargD$Target)
tapply(log(TerSumDTargD$P_Value), TerSumDTargD$Target, median)
tapply(log(TerSumDTargD$P_Value), TerSumDTargD$Target, se)
tapply(log(TerSumDTargD$P_Value), TerSumDTargD$Target, summary)


summary(lm(log(P_Value) ~ Ix, data = TerSumDTargD))
lmTarg <- lm(log(P_Value) ~ Ix, data = TerSumDTargD)
sigma(lmTarg)  # 5.449326
pt(9.228, df=244, lower.tail = F)  # 6.823197e-18
pf(9.228, df1=1, df2=243, lower.tail = F)  # 0.002643472
df(9.228, df1=1, df2=243)  # 0.001390249




write_csv(TerSumDSys,   "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/TerSumDSys.csv")
write_csv(TerSumDSysD,  "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/TerSumDSysD.csv")
write_csv(TerSumDTarg,  "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/TerSumDTarg.csv")
write_csv(TerSumDTarga, "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/TerSumDTarga.csv")
write_csv(TerSumDTargD, "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/TerSumDTargD.csv")


###########################
########################### Dependence

PSpreadTargDep <- subset(TerSumDTargD, Status == 'Dependence'); dim(PSpreadTargDep) # 162 10
names(PSpreadTargDep)

Ix <- c(1:2,4,6,5,7:21,3,22:34); length(Ix) # 34

PSpreadTargDepSum <- PSpreadTargDep %>%
  group_by(Target) %>%
  .[,-9] %>%
  summarize(mddnP = median(P_Value)) %>%
  arrange(mddnP) %>%
  bind_cols(Ix) %>% rename("Ix" = 3)
print(PSpreadTargDepSum, n=34)

PSpreadTargDepp <- PSpreadTargDep[,-10] %>% left_join(PSpreadTargDepSum)

# P_Value  ~ boxplot ~ Target - No Legend
PSpreadTargDepGr <- 
  ggplot(PSpreadTargDepp, aes(reorder(Target, desc(Ix)), -log10(P_Value), group = reorder(Target, desc(Ix)),
                           fill = reorder(Target, desc(Ix)), colour = reorder(Target, desc(Ix)),
                           label = round(-log(P_Value),2) )) +
  # geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  geom_boxplot(notch = T, alpha = 0.7, size = 0.5, show.legend = F) +
  ggtitle ('Negative Log (Base 10) P-Value by Target in Cannabis Dependence') +
  labs(x='', y = '- Log (10) (P-Value)') +
  theme_plotF() +
  scale_fill_hue(direction = -1) +
  scale_colour_hue(direction = -1) +
  # geom_text(nudge_y = 2, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) +
  labs(colour = 'Target', fill = 'Target')  +
  coord_cartesian(ylim = c(1,15))

ggsave("Cancer Epigenomic Teratogenic P-Values ~ Target, Dependence.pdf", width=14, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")



###########################
########################### Withdrawal

PSpreadTargWith <- subset(TerSumDTargD, Status == 'Withdrawal'); dim(PSpreadTargWith) # 83 10
names(PSpreadTargWith)

Ix <- c(1:2,4,6,5,7:21,3,22:34); length(Ix) # 34

PSpreadTargWithSum <- PSpreadTargWith %>%
  group_by(Target) %>%
  .[,-9] %>%
  summarize(mddnP = median(P_Value)) %>%
  arrange(mddnP)
print(PSpreadTargWithSum, n=24)

PSpreadTargWithh <- PSpreadTargWith[,-10] %>% left_join(PSpreadTargWithSum)
dim(PSpreadTargWithh); names(PSpreadTargWithh)

# P_Value  ~ boxplot ~ Target - No Legend
PSpreadTargWithGr <- 
  ggplot(PSpreadTargWithh, aes(reorder(Target, desc(mddnP)), -log10(P_Value), group = reorder(Target, desc(mddnP)),
                               fill = reorder(Target, desc(mddnP)), colour = reorder(Target, desc(mddnP)),
                               label = round(-log(P_Value),2) )) +
  # geom_col(alpha = 0.75, size = 1.5, show.legend = F) +
  geom_boxplot(notch = T, alpha = 0.7, size = 0.5, show.legend = F) +
  ggtitle ('Negative Log (Base 10) P-Value by Target in Cannabis Withdrawal') +
  labs(x='', y = '- Log (10) (P-Value)') +
  theme_plotF() +
  scale_fill_hue(direction = -1) +
  scale_colour_hue(direction = -1) +
  # geom_text(nudge_y = 2, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) +
  labs(colour = 'Target', fill = 'Target')  +
  coord_cartesian(ylim = c(1.5,5.1))

ggsave("Cancer Epigenomic Teratogenic P-Values ~ Target, Withdrawal.pdf", width=14, height = 6, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")


PValsDepWith <- ggarrange(PSpreadTargDepGr, PSpreadTargWithGr, nrow=2)
PValsDepWith

ggsave("Cancer P-Values ~ Target, Dependence & Withdrawal_2.pdf", width=12, height = 10, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")


######################################################################
######################################################################
######################################################################
######################################################################
#####################################################################
####################  Comparing Annotations and Gene Numbers


TerSumDDep   <- subset(TerSumD, Status == 'Dependence'); dim(TerSumDDep)   # 162 7
TerSumDWith  <- subset(TerSumD, Status == 'Withdrawal'); dim(TerSumDWith)  #  83 7

# Number Annotations

AnnotDep <- 
  TerSumDDep %>% 
  group_by(Target) %>%
  summarize(nAnnot  = n()) %>%
  ggplot(aes(reorder(Target, nAnnot), nAnnot, colour = reorder(Target, nAnnot), 
             fill = reorder(Target, nAnnot), 
             group = reorder(Target, nAnnot), label = nAnnot)) +
  geom_col(show.legend = F, alpha = 0.75) +
  ggtitle ('Number of Annotations by Target in Cannabis Dependence') +
  labs(x='', y = 'Annotation Number') +
  theme_plotF() +
  scale_fill_hue(direction = 1) +
  scale_colour_hue(direction = 1) +
  geom_text(nudge_y = 1, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) +
  labs(colour = 'Target', fill = 'Target') 

AnnotWith <- 
  TerSumDWith %>% 
  group_by(Target) %>%
  summarize(nAnnot  = n()) %>%
  ggplot(aes(reorder(Target, nAnnot), nAnnot, colour = reorder(Target, nAnnot), 
             fill = reorder(Target, nAnnot), 
             group = reorder(Target, nAnnot), label = nAnnot)) +
  geom_col(show.legend = F, alpha = 0.75) +
  ggtitle ('Number of Annotations by Target in Cannabis Withdrawal') +
  labs(x='', y = 'Annotation Number') +
  theme_plotF() +
  scale_fill_hue(direction = 1) +
  scale_colour_hue(direction = 1) +
  geom_text(nudge_y = 1, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) +
  labs(colour = 'Target', fill = 'Target') 


AnnotNumbGrr <- ggarrange(AnnotDep, AnnotWith, nrow=2, labels="AUTO")
AnnotNumbGrr

ggsave("Cancer No_Annotations ~ Target, Dependence & Withdrawal_2.pdf", width=12, height = 10, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")


# Gene Number 

GeneNoDep <- 
  TerSumDDep %>% 
  group_by(Target) %>%
  summarize(cumGenes  = sum(No_Genes)) %>%
  ggplot(aes(reorder(Target, cumGenes), cumGenes, colour = reorder(Target, cumGenes), 
             fill = reorder(Target, cumGenes), 
             group = reorder(Target, cumGenes), label = cumGenes)) +
  geom_col(show.legend = F, alpha = 0.75) +
  ggtitle ('Number of Genes by Target in Cannabis Dependence') +
  labs(x='', y = 'Gene Number') +
  theme_plotF() +
  scale_fill_hue(direction = 1) +
  scale_colour_hue(direction = 1) +
  geom_text(nudge_y = 100, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) +
  labs(colour = 'Target', fill = 'Target') 

GeneNoWith <- 
  TerSumDWith %>% 
  group_by(Target) %>%
  summarize(cumGenes  = sum(No_Genes)) %>%
  ggplot(aes(reorder(Target, cumGenes), cumGenes, colour = reorder(Target, cumGenes), 
             fill = reorder(Target, cumGenes), 
             group = reorder(Target, cumGenes), label = cumGenes)) +
  geom_col(show.legend = F, alpha = 0.75) +
  ggtitle ('Number of Genes by Target in Cannabis Withdrawal') +
  labs(x='', y = 'Gene Number') +
  theme_plotF() +
  scale_fill_hue(direction = 1) +
  scale_colour_hue(direction = 1) +
  geom_text(nudge_y = 20, show.legend = F) +
  theme(axis.text.x=element_text(angle=30,hjust=1),
        plot.margin = unit(c(0.5,0.5,0.5,2), "cm")) +
  labs(colour = 'Target', fill = 'Target') 


GeneNoGrr <- ggarrange(GeneNoDep, GeneNoWith, nrow=2, labels="AUTO")
GeneNoGrr

ggsave("Cancer Gene_Number ~ Target, Dependence & Withdrawal_2.pdf", width=12, height = 10, dpi=1200, units="in",
       path= "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/Figures")


#########################################
#########################################
####### Summary Table

TerSumDSum <- TerSumD %>%
  group_by(Status, Target) %>%
  summarize(
    NumAnnot  = n(),
    cumGenes  = sum(No_Genes),
    minP      = min(P_Value),
    mdnP      = median(P_Value)
  ) %>%  arrange(mdnP) %>%
  pivot_wider(
    names_from = Status,
    values_from = c(NumAnnot, cumGenes, minP, mdnP),
  ) %>%
  .[,c(1,2,4,6,8,3,5,7,9)]

print(TerSumDSum, n=39)

write_csv(TerSumDSum, "D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/TerSumDSum.csv")
TerSumDSum  <- read_csv("D:/1ASReece/Research/2022 Res/Cannabis_Ageing/R Codes/Data/csv/TerSumDSum.csv")






















